# Word Count

WordPress word count utility.

## Installation

Install the module

```bash
npm install @wordpress/wordcount --save
```

_This package assumes that your code will run in an **ES2015+** environment. If you're using an environment that has limited or no support for such language features and APIs, you should include [the polyfill shipped in `@wordpress/babel-preset-default`](https://github.com/WordPress/gutenberg/tree/HEAD/packages/babel-preset-default#polyfill) in your code._

## API

<!-- START TOKEN(Autogenerated API docs) -->

### count

Count some words.

_Usage_

```js
import { count } from '@wordpress/wordcount';
const numberOfWords = count( 'Words to count', 'words', {} );
```

_Parameters_

-   _text_ `string`: The text being processed
-   _type_ `WPWordCountStrategy`: The type of count. Accepts 'words', 'characters_excluding_spaces', or 'characters_including_spaces'.
-   _userSettings_ `WPWordCountUserSettings`: Custom settings object.

_Returns_

-   `number`: The word or character count.

<!-- END TOKEN(Autogenerated API docs) -->

<br/><br/><p align="center"><img src="https://s.w.org/style/images/codeispoetry.png?1" alt="Code is Poetry." /></p>
